GuideLab API

Approve or reject a join request

Approve or reject a pending join request. Approved users become staff members. Sends a notification to the requester. Owner only.

PATCH
/organization/join-request/{id}

Approve or reject a pending join request. Approved users become staff members. Sends a notification to the requester. Owner only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/organization/join-request/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "action": "approve"  }'
{  "success": true,  "message": "string"}
Empty
Empty
Empty
Empty
Empty